require u-boot-smarc.inc

# u-boot needs devtree compiler to parse dts files
DEPENDS += "dtc-native"

DESCRIPTION = "u-boot bootloader for Embedian SMARC-T437x Computer on Module"

COMPATIBLE_MACHINE = "smarct437x"

LIC_FILES_CHKSUM = "file://Licenses/README;md5=0507cd7da8e7ad6d6701926ec9b84c95"

PV = "2015.07-smarct437x"
PR = "r0+gitr${SRCPV}"

SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${BRANCH}"

BRANCH = "v2015.07-smarct4x"

SRCREV = "378284402ac6ae5ae68364eacd523cc4285c6111"

S = "${WORKDIR}/git"

UBOOT_SUFFIX = "img"

# If TEST# pin is shunt #
# SPL_BINARY = "MLO"
SPL_BINARY = "MLO.byteswap"
UBOOT_SPI_BINARY = "u-boot.img"
SPL_UART_BINARY = "u-boot-spl.bin"
